Bug 189196 - missing build dependency: sysfsutils-devel
Summary: missing build dependency: sysfsutils-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-18 09:16 UTC by Matteo Corti
Modified: 2015-03-05 01:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 12:18:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matteo Corti 2006-04-18 09:16:04 UTC
Description of problem:
missing build dependency: sysfsutils-devel

Version-Release number of selected component (if applicable):
lm_sensors-2.9.2-1

How reproducible:
build the srpm w/o sysfsutils-devel

Steps to Reproduce:
1. remove sysfsutils-devel
2. rpmbuild -ba lm_sensors.spec
  
Actual results:
gcc -M -MG -DETCDIR="\"/etc\"" -I. -Ikernel/include -I/usr/src/linux/include 
-Wundef -Wall -O2 -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual
-Wcast-align -Wwrite-strings -Wnested-externs -Winline -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
prog/sensors/chips.c | \
sed -e 's@^\(.*\)\.o:@prog/sensors/chips.rd prog/sensors/chips.ro: Makefile
'`dirname prog/sensors/chips.rd`/Module.mk' @' > prog/sensors/chips.rd
make: *** No rule to make target `sysfs/libsysfs.h', needed by `lib/sysfs.ad'. 
Stop.
error: Bad exit status from /var/tmp/rpm-tmp.8124 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.8124 (%build)


Expected results:
build

Additional info:
Missing a BuildRequires in the spec file

Comment 1 Phil Knirsch 2006-05-12 12:18:57 UTC
Added to latest lm_sensors version.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.